Skip to main content
POST
/
api2
/
v1
/
auth
/
loginWithApple
/
code
Login with Apple with code
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/auth/loginWithApple/code \
  --header 'Content-Type: application/json' \
  --header 'None: <api-key>' \
  --data '
{
  "codeOrRefreshToken": "<string>"
}
'
{
  "user": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "token": "<string>",
  "expires": "2023-11-07T05:31:56Z",
  "lastInvalidateAllSessionsPerformed": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

None
string
header
required

No authentication required. This is used for public endpoints.

Query Parameters

native
boolean

For sign in with code from native device

Body

application/json
codeOrRefreshToken
string
required

Response

successful operation

user
object
token
string
expires
string<date-time>
lastInvalidateAllSessionsPerformed
string<date-time>